org.apache.sysds.runtime.codegen

## Class SpoofOperator.SideInputSparseCell

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator.SideInput
  - - org.apache.sysds.runtime.codegen.SpoofOperator.SideInputSparseCell

Enclosing class:
  SpoofOperator

    public static class SpoofOperator.SideInputSparseCell
    extends SpoofOperator.SideInput

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.codegen.SpoofOperator.SideInput

`clen, ddat, mdat`

### Constructor Summary

Constructors
Constructor and Description
`SideInputSparseCell(SpoofOperator.SideInput in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `next(int rowIndex, int colIndex)`
`void` `reset()`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator.SideInput

`getValue, pos, values`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SideInputSparseCell

    public SideInputSparseCell(SpoofOperator.SideInput in)

### Method Detail

#### next

    public double next(int rowIndex,
                       int colIndex)

#### reset

    public void reset()

Overrides:
  `reset` in class `SpoofOperator.SideInput`